<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Plasma.ToolTipManager</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>ToolTipManager Class Reference</h1>
<code>from PyKDE4.plasma import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a><br />

Namespace: Plasma<br />
<h2>Detailed Description</h2>

<p>ToolTipManager plasma/tooltipmanager.h &lt;Plasma/ToolTipManager&gt;
</p>
<p>
Manages tooltips for QGraphicsWidgets in Plasma
</p>
<p>
If you want a widget to have a tooltip displayed when the mouse is hovered over
it, you should do something like:
</p>
<p>
<pre class="fragment">
 // widget is a QGraphicsWidget*
 Plasma.ToolTipContent data;
 data.mainText = i18n("My Title");
 data.subText = i18n("This is a little tooltip");
 data.image = KIcon("some-icon").pixmap(IconSize(KIconLoader.Desktop));
 Plasma.ToolTipManager.self()-&gt;setContent(widget, data);
</pre>
</p>
<p>
Note that, since a Plasma.Applet is a QGraphicsWidget, you can use
Plasma.ToolTipManager.self()-&gt;setContent(this, data); in the
applet's init() method to set a tooltip for the whole applet.
</p>
<p>
The tooltip will be registered automatically by setContent(). It will be
automatically unregistered when the associated widget is deleted, freeing the
memory used by the tooltip, but you can manually unregister it at any time by
calling unregisterWidget().
</p>
<p>
When a tooltip for a widget is about to be shown, the widget's toolTipAboutToShow slot will be
invoked if it exists. Similarly, when a tooltip is hidden, the widget's toolTipHidden() slot
will be invoked if it exists. This allows widgets to provide on-demand tooltip data.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj179907788">State</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Activated, Inhibited, Deactivated&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166389868">__init__</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a> parent=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj166512140">clearContent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197077708">hide</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197075180">isVisible</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197076268">registerWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863692">setContent</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a> widget, <a href="../plasma/Plasma.ToolTipContent.html">Plasma.ToolTipContent</a> data)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196130412">setState</a> (self, Plasma.ToolTipManager.State state)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj197077388">show</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Plasma.ToolTipManager.State&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193754860">state</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192863916">unregisterWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a> widget)</td></tr>
<tr><td colspan="2"><br><h2>Static Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../plasma/Plasma.ToolTipManager.html">Plasma.ToolTipManager</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj179907276">self</a> ()</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj166389868"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>&nbsp;</td>
<td class="paramname"><em>parent=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Default constructor.
</p>
<p>
You should normall use self() instead.
</p></div></div><a class="anchor" name="obj166512140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clearContent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Clears the tooltip data associated with this widget, but keeps
the widget registered.
</p></div></div><a class="anchor" name="obj197077708"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> hide</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Hides the tooltip for a widget immediately.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> the widget to hide the tooltip for
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj197075180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isVisible</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Find out whether the tooltip for a given widget is currently being displayed.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> the widget to check the tooltip for
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the tooltip of the widget is currently displayed,
false if not
</dd></dl>
</p></div></div><a class="anchor" name="obj197076268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> registerWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Registers a widget with the tooltip manager.
</p>
<p>
Note that setContent() will register the widget if it
has not already been registered, and so you do not normally
need to use the method.
</p>
<p>
This is useful for creating tooltip content on demand. You can
register your widget with registerWidget(), then implement
a slot named toolTipAboutToShow for the widget. This will be
called before the tooltip is shown, allowing you to set the
data with setContent().
</p>
<p>
If the widget also has a toolTipHidden slot, this will be called
after the tooltip is hidden.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> the desired widget
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj179907276"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../plasma/Plasma.ToolTipManager.html">Plasma.ToolTipManager</a> self</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname">)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The singleton instance of the manager.
</dd></dl>
</p></div></div><a class="anchor" name="obj192863692"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setContent</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../plasma/Plasma.ToolTipContent.html">Plasma.ToolTipContent</a>&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the content for the tooltip associated with a widget.
</p>
<p>
Note that this will register the widget with the ToolTipManager if
necessary, so there is usually no need to call registerWidget().
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> the widget the tooltip should be associated with

<tr><td></td><td valign="top"><em>data</em>&nbsp;</td><td> the content of the tooltip. If an empty Content
is passed in, the tooltip content will be reset.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj196130412"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setState</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Plasma.ToolTipManager.State&nbsp;</td>
<td class="paramname"><em>state</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the current state of the manager.
<dl class="see" compact><dt><b>See also:</b></dt><dd> State
</dd></dl> @arg state the state to put the manager in
</p></div></div><a class="anchor" name="obj197077388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> show</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Show the tooltip for a widget registered in the tooltip manager
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> the widget for which the tooltip will be displayed
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj193754860"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Plasma.ToolTipManager.State state</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the current state of the manager; <dl class="see" compact><dt><b>See also:</b></dt><dd> State
</dd></dl>
</p></div></div><a class="anchor" name="obj192863916"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> unregisterWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qgraphicswidget.html">QGraphicsWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Unregisters a widget from the tooltip manager.
</p>
<p>
This will free the memory used by the tooltip associated with the widget.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> the desired widget to delete
</td></tr>
</table></dl>
<p>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj179907788"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">State</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Activated</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Inhibited</em>&nbsp;</td><td><tr><td valign="top"><em>Deactivated</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
